Skip to main content
GET
/
api
/
v1
/
watchlists
/
{watchlistId}
Get single watchlist
curl --request GET \
  --url https://public-api.etoro.com/api/v1/watchlists/{watchlistId} \
  --header 'x-api-key: <x-api-key>' \
  --header 'x-request-id: <x-request-id>' \
  --header 'x-user-key: <x-user-key>'
{
  "status": 200,
  "watchlists": [
    {
      "watchlistId": "12345",
      "name": "Tech Watchlist",
      "Gcid": 12345,
      "watchlistType": "Static",
      "totalItems": 100,
      "isDefault": true,
      "isUserSelectedDefault": true,
      "watchlistRank": 1,
      "dynamicUrl": "<string>",
      "items": [
        {
          "itemId": 12345,
          "itemType": "Instrument",
          "itemRank": 1
        }
      ],
      "relatedAssets": [
        12345,
        67890
      ]
    }
  ],
  "exception": {
    "invalidItems": [
      "<string>"
    ],
    "reason": "<string>",
    "message": "<string>"
  },
  "meta": {
    "pageNumber": 0,
    "itemsPerPage": 100,
    "maxItemsInWatchlistLimit": 1000,
    "maxWatchlistsLimit": 10
  },
  "isSucceeded": true
}

Headers

x-request-id
string<uuid>
required

A unique request identifier.

Example:

"0ed4124f-642e-4c4a-a74b-eec79f1f336c"

x-api-key
string<password>
required

API key for authentication.

Example:

"lhgfaslk21490FAScVPkdsb53F9dNkfHG4faZSG5vfjndfcfgdssdgsdHF4663"

x-user-key
string<password>
required

User-specific authentication key.

Example:

"eyJlYW4iOiJVbnJlZ2lzdGVyZWRBcHBsaWNhdGlvbiIsImVrIjoiOE5sZ2cwcW5EUVdROUFNWGpXT2lmOWktZnpidG5KcUlqWGJ3WHJZZkpZcldrbG90ZEhvLVBjSWhQaU8xU1ZtMW84aU1WZGZqN2xWNzFjLXFxLmcybXE1dnh4Q1hUT25xaWRUaTFlcEhmVk1fIn0_"

Path Parameters

watchlistId
string
required

Unique identifier of the watchlist

Query Parameters

pageNumber
integer<int32>
default:0

Page number for pagination

Required range: x >= 0
itemsPerPage
integer<int32>
default:100

Number of items per page

Required range: 1 <= x <= 1000

Response

200 - application/json

Successfully retrieved watchlist

Response containing multiple watchlists with metadata

status
integer<int32>

HTTP status code of the response

Example:

200

watchlists
object[]

List of user watchlists

exception
object

Exception details when the request partially failed

meta
object

Response metadata including pagination info

isSucceeded
boolean

Whether the request succeeded

Example:

true